Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.newdawn.slick.imageout
Interface ImageWriter

All Known Implementing Classes:
  ImageIOWriter, TGAWriter

    public interface ImageWriter

The description of any class that can produce data to an output stream reprsenting some image in memory.

Author:
  Jon

Method Summary
`void` | `saveImage(Image image, java.lang.String format, java.io.OutputStream out, boolean writeAlpha)` Save an Image to an given location

Method Detail

### saveImage

    void saveImage(Image image,
                   java.lang.String format,
                   java.io.OutputStream out,
                   boolean writeAlpha)
                   throws java.io.IOException

  Save an Image to an given location

  Parameters:
    `image` - The image to be written
    `format` - The format that this writer is expected to be produced in
    `out` - The output stream to which the image data should be written
    `writeAlpha` - True if we should write alpha information to the file
  Throws:
    `java.io.IOException` - Indicates a failure to write out the image to the specified location

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 New Dawn Software. All Rights Reserved.